<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://financeCashTransactionInterfacePart1Browse.caption"
        focusComponent="financeCashTransactionInterfacesTable">
    <data readOnly="true">
        <collection id="financeCashTransactionInterfacesDc"
                    class="com.company.management.entity.FinanceCashTransactionInterface">
            <fetchPlan extends="_base"/>
            <loader id="financeCashTransactionInterfacesDl">
                <query>
                    <![CDATA[select e from FinanceCashTransactionInterface e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="financeCashTransactionInterfacesTable" spacing="true">
        <filter id="filter"
                dataLoader="financeCashTransactionInterfacesDl">
            <properties include=".*"/>
        </filter>
        <groupTable id="financeCashTransactionInterfacesTable"
                    width="100%"
                    dataContainer="financeCashTransactionInterfacesDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
            </actions>
            <columns>
                <column id="year"/>
                <column id="month"/>
                <column id="no"/>
                <column id="transaction_date"/>
                <column id="transaction_code"/>
                <column id="amount"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="financeCashTransactionInterfacesTable.create"/>
                <button id="editBtn" action="financeCashTransactionInterfacesTable.edit"/>
                <button id="removeBtn" action="financeCashTransactionInterfacesTable.remove"/>
                <button id="clickBtn" caption="Test Notification"/>
            </buttonsPanel>
        </groupTable>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
